<template>
  <div>
    <label :for="field">
      {{ label }}
      <span v-if="required" aria-hidden="true" class="text-red-error">*</span>
    </label>
    <input
      :id="field"
      v-model.trim="phone"
      type="tel"
      class="form-input block mt-1 w-full"
      :required="required"
      @blur="$emit('blur', { field, value: phone })"
    />
    <slot />
  </div>
</template>

<script>
export default {
  name: 'APhoneField',
  props: {
    label: { type: String, default: 'Telèfon' },
    validation: { type: String, default: 'regex:/^\\d[\\d\\s]+\\d$/' },
  },
  data: () => ({
    fid: 'phone',
    phone: null,
  }),
  computed: {
    field() {
      return this.$vnode.data.ref;
    },
    required() {
      return /required/.test(this.validation);
    },
  },
  methods: {
    reset() {
      this.phone = null;
    },
  },
};
</script>
